import { CodeMaker } from 'codemaker';
export declare enum Language {
    TYPESCRIPT = "typescript",
    PYTHON = "python",
    CSHARP = "csharp",
    JAVA = "java"
}
export declare const LANGUAGES: Language[];
export interface GetOptions {
    readonly targetLanguage: Language;
    readonly codeMakerOutput: string;
    readonly targetNames: string[];
    readonly isModule?: boolean;
    /**
     * Path to copy the output .jsii file.
     * @default - jsii file is not emitted
     */
    readonly outputJsii?: string;
}
export declare abstract class GetBase {
    protected abstract generateTypeScript(code: CodeMaker, targetNames: string[], output: string): Promise<void>;
    get(options: GetOptions): Promise<void>;
    protected abstract typesPath(name: string): string;
}
